
dd.ready(function() {
    // dd.ready参数为回调函数，在环境准备就绪时触发，jsapi的调用需要保证在该回调函数触发后调用，否则无效。
    dd.runtime.permission.requestAuthCode({
       corpId: 'ding72f963ff8536545c35c2f4657eb6378f', //_config.corpId, //企业ID
        onSuccess: function(info) {
			vdn.async = false;
			//页面信息初始化
			vdn.get({
					"method": "nvo_ding.accesstoken_json",
					"params": info.code
				}, function(data) {
					$(location).prop('href', data.Result.redirect);
				},
				function(err) {
					mui.toast(err.Message + "(" + err.Code.toString() + ")");
				}
			);
		},
		onFail: function(err) {
			alert('fail: ' + JSON.stringify(err));
		}
  
    });
});

dd.error(function(error){
       /**
        {
           errorMessage:"错误信息",// errorMessage 信息会展示出钉钉服务端生成签名使用的参数，请和您生成签名的参数作对比，找出错误的参数
           errorCode: "错误码"
        }
       **/
       alert('dd error: ' + JSON.stringify(error));
});